/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicShapeSeriesBaseDescription } from "./GeographicShapeSeriesBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicShapeSeriesDescription extends GeographicShapeSeriesBaseDescription {
    constructor() {
        super();
        this.cb = null;
        this.b9 = null;
        this.ca = null;
        this.b1 = 0;
        this.b0 = 0;
        this.b8 = null;
        this.b7 = null;
        this.b4 = null;
        this.b6 = null;
        this.b5 = null;
        this.cc = null;
    }
    get_type() {
        return "GeographicShapeSeries";
    }
    get shapeStyleSelectorRef() {
        return this.cb;
    }
    set shapeStyleSelectorRef(a) {
        this.cb = a;
        this.e("ShapeStyleSelectorRef");
    }
    get shapeFill() {
        return this.b9;
    }
    set shapeFill(a) {
        this.b9 = a;
        this.e("ShapeFill");
    }
    get shapeStroke() {
        return this.ca;
    }
    set shapeStroke(a) {
        this.ca = a;
        this.e("ShapeStroke");
    }
    get shapeStrokeThickness() {
        return this.b1;
    }
    set shapeStrokeThickness(a) {
        this.b1 = a;
        this.e("ShapeStrokeThickness");
    }
    get shapeOpacity() {
        return this.b0;
    }
    set shapeOpacity(a) {
        this.b0 = a;
        this.e("ShapeOpacity");
    }
    get markerType() {
        return this.b8;
    }
    set markerType(a) {
        this.b8 = a;
        this.e("MarkerType");
    }
    get markerTemplateRef() {
        return this.b7;
    }
    set markerTemplateRef(a) {
        this.b7 = a;
        this.e("MarkerTemplateRef");
    }
    get markerBrush() {
        return this.b4;
    }
    set markerBrush(a) {
        this.b4 = a;
        this.e("MarkerBrush");
    }
    get markerOutline() {
        return this.b6;
    }
    set markerOutline(a) {
        this.b6 = a;
        this.e("MarkerOutline");
    }
    get markerCollisionAvoidance() {
        return this.b5;
    }
    set markerCollisionAvoidance(a) {
        this.b5 = a;
        this.e("MarkerCollisionAvoidance");
    }
    get styleShapeRef() {
        return this.cc;
    }
    set styleShapeRef(a) {
        this.cc = a;
        this.e("StyleShapeRef");
    }
}
GeographicShapeSeriesDescription.$t = markType(GeographicShapeSeriesDescription, 'GeographicShapeSeriesDescription', GeographicShapeSeriesBaseDescription.$);
